std::ostreambuf_iterator< _CharT, _Traits >(3cxx)

NAME
std::ostreambuf_iterator< _CharT, _Traits > - Provides output iterator semantics for streambufs.

SYNOPSIS

#include <iterator>

Inherits std::iterator< output_iterator_tag, void, void, void, void >.

  Public Types

typedef output_iterator_tag iterator_category
One of the tag types.
typedef void pointer
This type represents a pointer-to-value_type.
typedef void reference
This type represents a reference-to-value_type.
typedef void value_type
The type pointedto"bytheiterator.

using difference_type
Public typedefs.
typedef _CharT char_type
Public typedefs.
typedef _Traits traits_type
Public typedefs.
typedef basic_streambuf< _CharT, _Traits > streambuf_type
Public typedefs.
typedef basic_ostream< _CharT, _Traits > ostream_type
Public typedefs.

  Public Member Functions

ostreambuf_iterator (ostream_type &__s) noexcept
Construct output iterator from ostream.
ostreambuf_iterator (streambuf_type *__s) noexcept
Construct output iterator from streambuf.
ostreambuf_iterator & _M_put (const _CharT *__ws, streamsize __len)
bool failed () const noexcept
Return true if previous operator=() failed.
ostreambuf_iterator & operator* ()
Return *this.
ostreambuf_iterator & operator++ ()
Return *this.
ostreambuf_iterator & operator++ (int)
Return *this.
ostreambuf_iterator & operator= (_CharT __c)
Write character to streambuf. Calls streambuf.sputc().

  Friends

template<typename _CharT2> __gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)

Detailed Description

  template<typename _CharT, typename _Traits>
class std::ostreambuf_iterator< _CharT, _Traits >"Provides output iterator semantics for streambufs.

Member Typedef Documentation

  template<typename _CharT, typename _Traits> typedef _CharT std::ostreambuf_iterator< _CharT, _Traits >::char_type

Public typedefs.

  template<typename _CharT, typename _Traits> using std::ostreambuf_iterator< _CharT, _Traits >::difference_type

Public typedefs.

  typedef output_iterator_tag std::iterator< output_iterator_tag, void, void, void, void >::iterator_category [inherited]

One of the tag types.

  template<typename _CharT, typename _Traits> typedef basic_ostream<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::ostream_type

Public typedefs.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::pointer [inherited]

This type represents a pointer-to-value_type.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::reference [inherited]

This type represents a reference-to-value_type.

  template<typename _CharT, typename _Traits> typedef basic_streambuf<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::streambuf_type

Public typedefs.

  template<typename _CharT, typename _Traits> typedef _Traits std::ostreambuf_iterator< _CharT, _Traits >::traits_type

Public typedefs.

  typedef void std::iterator< output_iterator_tag, void, void, void, void >::value_type [inherited]

The type "pointed to" by the iterator.

Constructor & Destructor Documentation

  template<typename _CharT, typename _Traits> std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator (ostream_type & __s) [inline], [noexcept]

Construct output iterator from ostream.

  template<typename _CharT, typename _Traits> std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator (streambuf_type * __s) [inline], [noexcept]

Construct output iterator from streambuf.

Member Function Documentation

  template<typename _CharT, typename _Traits> bool std::ostreambuf_iterator< _CharT, _Traits >::failed () const [inline], [nodiscard], [noexcept]

Return true if previous operator=() failed.

Referenced by std::basic_ostream< _CharT, _Traits >::operator<<().

  template<typename _CharT, typename _Traits> ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator* () [inline], [nodiscard]

Return *this.

  template<typename _CharT, typename _Traits> ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator++ () [inline]

Return *this.

  template<typename _CharT, typename _Traits> ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator++ (int ) [inline]

Return *this.

  template<typename _CharT, typename _Traits> ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator= (_CharT __c) [inline]

Write character to streambuf. Calls streambuf.sputc().

Author

Generated automatically by Doxygen for libstdc++ from the source code.